The Spring Framework

## org.springframework.test.annotation
Annotation Type ExpectedException

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ExpectedException

Test annotation to indicate that a test method is required to throw the specified exception.

Since:
  2.0
Author:
  Rod Johnson, Sam Brannen

Required Element Summary
`Class<? extends Throwable>` `value`

Element Detail

### value

    public abstract Class<? extends Throwable> value

The Spring Framework

Copyright © 2002-2008 The Spring Framework.